<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################
require'config.php';
aut();
if (!ctype_digit($_GET['rm'])){header('Location: index?'.SID);die;}
$rm = intval($_GET['rm']);

if (isset($_GET['delete_all'])){
if ($user['level']>=7){
$db->sql_query("DELETE FROM `message` WHERE `rm` = '".$rm."'");
}
}

who_add($rm,'room'); // Занисываем Кто онлайн...

$rooms = $db->sql_fetchrow($db->sql_query("SELECT * FROM `rooms` WHERE `rm` = '$rm'"));
if (mysql_affected_rows() == 0){
$align='center';
$title='Ошибка!';
head();

echo 'Такой комнаты не существует!<br />';

echo gbinroom.'<a href="enter">Прихожая</a>'.div;
foot();
}

if ($rooms['intim']==1){
if(!isset($_POST['inps']) && isset($_SESSION['inps']))$inps = check(intval($_SESSION['inps']));
else $inps = check(intval($_POST['inps']));
$_SESSION['inps'] = $inps;
}
if(empty($inps)) $inps = 0;

if ($user['level']<$rooms['level']){
$align='center';
$title='Ошибка!';
head();

echo 'Извините, но в эту комнату Вам доступ запрешен!<br />';

echo gbinroom.'<a href="enter">Прихожая</a>'.div;
foot();
}

if (($rooms['sartir']!=1) && ($user['kik']>$time)){
$align='center';
$title='Вы выпнуты!';
head();
echo '<b>'.user($user['whokik']).'</b> выпнул вас из чата на <b>'.kikt($user['kik']).'</b> <br />Причина: <b>'.$user['whykik'].'</b><br />';
$rooms = $db->sql_query("SELECT * FROM `rooms` WHERE sartir = '1' ORDER BY `pos` ASC");
if($db->sql_numrows($rooms)!=0)echo 'Вам разрешен доступ только в<br />';
while($room = $db->sql_fetchrow($rooms)){
if ($room['level']<=$user['level'])echo '<a href="room?rm='.$room['rm'].'">'.$room['name'].'</a><br />';}
echo '<br />';
echo gbinroom.'<a href="enter">Прихожая</a>'.div;
foot();
}

if ((isset($_GET['sartir']))&&($rooms['sartir']==1)){
$align='left';
$title=$rooms['name'];
head();
echo '<b>Внимание!</b><br/>';
echo 'Сейчас вы попадете в '.$rooms['name'];
echo '.<br/>Здесь вы можете делать все, что угодно (кроме рекламы и флуда).<br/>';
echo 'И за весь происходящий здесь беспредел администрация чата никакой ответственности не несет.<br/>';
echo 'Людям со слабыми нервами и тонкой душевной организацией заходить в '.$rooms['name'].' настоятельно не рекомендуется.<br/>';

echo gbinroom.'<a href="room?rm='.$rm.'">Войти</a>'.div;
echo gbinroom.'<a href="enter">Прихожая</a>'.div;
foot();
}

if (($rooms['intim']==1)&&((isset($_GET['intim']))||(empty($inps))||(strlen2($inps)<4)||($inps==0))){
$align='left';
$title=$rooms['name'];
head();

if ($ver!='wml')echo '<form action="room?rm='.$rm.'&amp;'.SID.'" method="post">';
echo '* Ключ(min: 4):<br /><input name="inps" maxlength="30" title="Название"/><br/>';
if ($ver=='wml'){
echo '<br /><anchor title="go">Войти<go href="room?rm='.$rm.'&amp;'.SID.'" method="post"><br />';
echo '<postfield name="inps" value="$inps"/>
</go></anchor><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Войти"/></form><br /><br />';
}
echo '<b>*</b> Ключь должен быть длиннее 4 символов и не должен состоять из одних 0<br />';
echo gbinroom.'<a href="enter">Прихожая</a>'.div;
foot();
}

$bs=explode('|',$user['binds']);

$align='left';
$title=$rooms['topic'].'-'.date("H:i", $time);
head();

if (isset($_GET['komm'])){
echo '<b>Комманды викторины:</b><br />';

echo '<b>!вопрос</b> или <b>!vopros</b> - Повтор вопроса<br />';

if ($rooms['baryga']!=0)echo '<b>!ответ</b> или <b>!otvet</b> - Купить ответ<br />';

echo gbinroom.'<a href="room?rm='.$rm.'&amp;obn" accesskey="'.$bs[1].'">В комнату ['.$bs[1].']</a> '.div;
echo gbinroom.'<a href="enter" accesskey="'.$bs[7].'">Прихожая ['.$bs[7].']</a>'.div;
foot();
}

if (isset($_GET['obn'])){header ('Location: room?rm='.$rm.'&'.SID);  exit;}

if ($user['softk']!=1){
if ($ver=='wml'){
if ($rooms['umnik']!=0)echo '<do type="options" name="who_room" label="Команды"><go href="?rm='.$rm.'&amp;komm&amp;'.SID.'"/></do>';

if ($rooms['intim']!=1)echo '<do type="options" name="who_room" label="Кто в комнате?"><go href="who_room?rm='.$rm.'&amp;'.SID.'"/></do>';
echo '<do type="options" name="who" label="Кто где?"><go href="who?rm='.$rm.'&amp;'.SID.'"/></do><do type="options" name="smiles" label="Смайлы"><go href="smiles/index?rm='.$rm.'&amp;'.SID.'"/></do>';

if ($user['level']>=4&&$rooms['intim']!=1)echo '<do type="options" name="topic" label="Сменить Топик"><go href="topic?rm='.$rm.'&amp;'.SID.'"/></do>';

if ($user['level']>=7)echo '<do type="options" name="topic" label="Очистить комнату"><go href="room?rm='.$rm.'&amp;delete_all&amp;'.SID.'"/></do>';

echo '<br />';
}else{

if ($rooms['umnik']!=0)echo '[<a href="?rm='.$rm.'&amp;komm" accesskey="11">Команды[11]</a>]';

if ($rooms['intim']!=1)echo '[<a href="who_room?rm='.$rm.'" accesskey="'.$bs[2].'">Кто в комнате?['.$bs[2].']</a>]';
echo '[<a href="who?rm='.$rm.'" accesskey="'.$bs[3].'">Кто где?['.$bs[3].']</a>][<a href="smiles/index?rm='.$rm.'" accesskey="'.$bs[4].'">Смайлы['.$bs[4].']</a>]';
if ($user['level']>=4&&$rooms['intim']!=1)echo '[<a href="topic?rm='.$rm.'" accesskey="'.$bs[5].'">Сменить Топик['.$bs[5].']</a>]<br />';
if ($user['level']>=7)echo '[<a href="room?rm='.$rm.'&amp;delete_all">Очистить комнату</a>]<br />';
}
}

echo gbinroom.'<a href="tell?rm='.$rm.'" accesskey="'.$bs[0].'">Сказать ['.$bs[0].']</a>'.div;
if ($user['polevv']!=2&&$user['polevv']!=0){
if ($ver!='wml')echo '<form action="tell?rm='.$rm.'&amp;act=add&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<input name="msg'.$ref.'" maxlength="512" title="Text"/><br/>';
else echo '<input name="msg" maxlength="512" title="Text"/><br/>';

if ($user['dd']!=0){
if ($user['level']>=4){
echo '<select name="dd">
<option value="0" selected="selected">Шрифт</option>
<option value="1">Наклонный</option>';
if ($user['level']>=5) echo '<option value="2">Подчёркнутый</option>';
if ($user['level']>=6) echo '<option value="3">Накл. и подч.</option>';
if ($user['level']>=6) echo '<option value="4">Жирный</option>';
if ($user['level']>=7) echo '<option value="5">Жирн. и подч.</option>';
if ($user['level']>=7) echo '<option value="6">Огромный</option>';
echo '</select><br />';
}
}
if ($user['emo']!=0){
echo '<select name="emo">
<option value="0" selected="selected">Эмоции</option>
<option value="1">Радостно</option>
<option value="2">Печально</option>
<option value="3">Удивленно</option>
<option value="4">Ласково</option>
<option value="5">Смущенно</option>
<option value="6">Кокетливо</option>
<option value="7">Обиженно</option>
<option value="8">Настойчиво</option>
<option value="9">Шепотом</option>
<option value="10">Задумчиво</option>
<option value="11">Злобно</option>
</select><br />';
}

if ($user['color']!=0){
echo '<select name="color">
<option value="0" selected="selected">Цвет</option>
<option value="1">Красный</option>
<option value="2">Синий</option>
<option value="3">Сереневый</option>
<option value="4">Зеленый</option>
</select><br />';
}

if ($ver=='wml'){
echo '<anchor title="go">Сказать<go href="tell?rm='.$rm.'&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="dd" value="$dd"/>
<postfield name="emo" value="$emo"/>
<postfield name="color" value="$color"/>
</go></anchor>';
echo '<br/>';
}else{
echo '<input type="submit" class="ibutton" value="Сказать"/></form><br />';
}
}
echo gbinroom.'<a href="room?rm='.$rm.'&amp;obn" accesskey="'.$bs[1].'">Обновить ['.$bs[1].']</a> '.div;



if (empty($user['max'])) $user['max']=10;
$max = $user['max'];

$k_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from message WHERE `rm` = '".$rm."' and `inps` = '".$inps."';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

if ($k_post == 0)echo 'Здесь сообщений пока нет :(<br />';
if (isset($_GET['err']) && $_GET['err'] == 't')echo '<b>Промежуток между сообщениями должен быть больше '.$rooms['flyd'].' сек.</b><br />';



if (isset($_GET['delete'])){
if ($user['level']>=5){
$db->sql_query("DELETE FROM `message` WHERE `id` = '".$_GET['delete']."'");
echo 'Сообщение удалено<br />';
}else{
echo 'Сообщение не удалено<br />';
}
}

if ($rooms['umnik']!=0) require H.'bots/umnik1.php';
if ($rooms['shut']!=0) require H.'bots/shut.php';
if ($rooms['znatok']!=0) require H.'bots/znatok.php';
if ($rooms['anek']!=0) require H.'bots/anek.php';
if ($rooms['tupica']!=0) require H.'bots/umnikmat1.php';
if ($rooms['tupica']!=0) require H.'bots/tupica.php';


$mess = @$db->sql_query( @"SELECT * from `message` WHERE `rm` = '".$rm."' and `inps` = '".$inps."' order by id DESC limit $start, $max;" );
while($msg = @$db->sql_fetchrow($mess)){
$text = $msg['msg'];
if ($msg['color']>0) $text =  color_msg($text);
if ($msg['bb']>0)$text =  bb_msg($text);
if ($msg['emo']>0)$text = emo_msg($text);
if (($rooms['tupica']==0) && ($rooms['sartir']==0))if ($rooms['antim']>0)$text = antim($text);
if ($rooms['antir']>0)$text = antir($text);

if ($msg['komu']!=0) {
if ($user['id']==$msg['komu']) $komu = '<b>'.user($msg['komu']).'</b>,';
else $komu = user($msg['komu']).',';
}else{
$komu = '';
}

if ($msg['privat']==0){
if ($msg['user_id']!=0)echo nik($msg['user_id'],''.H.'inside?rm='.$rm.'&amp;nk='.$msg['user_id'].'').date("(H:i", $msg['time']).')';
else echo '<img src="'.H.'img/bot.gif" alt="" />'.$msg['user'].date("(H:i", $msg['time']).')';
if ($user['level']>=5)echo '<small><a href="room?rm='.$rm.'&amp;delete='.$msg['id'].'">[X]</a></small>';
echo '&gt;'.$komu.text($text).'<br />';

}else if ($msg['privat']==$user['id']||$msg['user_id']==$user['id']){
if ($msg['user_id']!=0)echo nik($msg['user_id'],''.H.'inside?rm='.$rm.'&amp;nk='.$msg['user_id'].'').date("(H:i", $msg['time']).')';
else echo '<img src="'.H.'img/bot.gif" alt="" />'.$msg['user'].date("(H:i", $msg['time']).')';
echo '<b>[P!]</b>';
if ($user['level']>=5)echo '<small><a href="room?rm='.$rm.'&amp;delete='.$msg['id'].'">[X]</a></small>';
echo '&gt;'.$komu.text($text).'<br />';
} else if (($msg['privat']!=$user['id']||$msg['user_id']!=$user['id']) && $user['level']>=$set['privat'] && $set['privat']!=0){ // Чтение привата супер админами...
if ($msg['user_id']!=0)echo nik($msg['user_id'],''.H.'inside?rm='.$rm.'&amp;nk='.$msg['user_id'].'').date("(H:i", $msg['time']).')';
else echo '<img src="'.H.'img/bot.gif" alt="" />'.$msg['user'].date("(H:i", $msg['time']).')';
echo '<b>[!!!]</b>';
if ($user['level']>=5)echo '<small><a href="room?rm='.$rm.'&amp;delete='.$msg['id'].'">[X]</a></small>';
echo '&gt;'.$komu.text($text).'<br />';
}

}


if ($user['polevv']!=1&&$user['polevv']!=0){
echo gbinroom.'Сказать:'.div;
if ($ver!='wml')echo '<form action="tell?rm='.$rm.'&amp;act=add&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<input name="msg'.$ref.'" maxlength="512" title="Text"/><br/>';
else echo '<input name="msg" maxlength="512" title="Text"/><br/>';

if ($user['dd']!=0){
if ($user['level']>=4){
echo '<select name="dd">
<option value="0" selected="selected">Шрифт</option>
<option value="1">Наклонный</option>';
if ($user['level']>=5) echo '<option value="2">Подчёркнутый</option>';
if ($user['level']>=6) echo '<option value="3">Накл. и подч.</option>';
if ($user['level']>=6) echo '<option value="4">Жирный</option>';
if ($user['level']>=7) echo '<option value="5">Жирн. и подч.</option>';
if ($user['level']>=7) echo '<option value="6">Огромный</option>';
echo '</select><br />';
}
}
if ($user['emo']!=0){
echo '<select name="emo">
<option value="0" selected="selected">Эмоции</option>
<option value="1">Радостно</option>
<option value="2">Печально</option>
<option value="3">Удивленно</option>
<option value="4">Ласково</option>
<option value="5">Смущенно</option>
<option value="6">Кокетливо</option>
<option value="7">Обиженно</option>
<option value="8">Настойчиво</option>
<option value="9">Шепотом</option>
<option value="10">Задумчиво</option>
<option value="11">Злобно</option>
</select><br />';
}

if ($user['color']!=0){
echo '<select name="color">
<option value="0" selected="selected">Цвет</option>
<option value="1">Красный</option>
<option value="2">Синий</option>
<option value="3">Сереневый</option>
<option value="4">Зеленый</option>
</select><br />';
}

if ($ver=='wml'){
echo '<anchor title="go">Сказать<go href="tell?rm='.$rm.'&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="dd" value="$dd"/>
<postfield name="emo" value="$emo"/>
<postfield name="color" value="$color"/>
</go></anchor>';
echo '<br/>';
}else{
echo '<input type="submit" class="ibutton" value="Сказать"/></form><br />';
}
}

echo gbinroom;
if(isset($_GET['histiri'])){
str(H.'room?rm='.$rm.'&amp;histiri&amp;',$k_page,$page);
}else{
echo '<a href="room?rm='.$rm.'&amp;histiri" accesskey="'.$bs[6].'">История ['.$bs[6].']</a>';
}
echo div;

if ($user['softk']!=0){
if ($ver=='wml'){
if ($rooms['intim']!=1)echo '<do type="options" name="who_room" label="Кто в комнате?"><go href="who_room?rm='.$rm.'&amp;'.SID.'"/></do>';
echo '<do type="options" name="who" label="Кто где?"><go href="who?rm='.$rm.'&amp;'.SID.'"/></do><do type="options" name="smiles" label="Смайлы"><go href="smiles/index?rm='.$rm.'&amp;'.SID.'"/></do>';

if ($user['level']>=4&&$rooms['intim']!=1)echo '<do type="options" name="topic" label="Сменить Топик"><go href="topic?rm='.$rm.'&amp;'.SID.'"/></do>';

if ($user['level']>=7)echo '<do type="options" name="topic" label="Очистить комнату"><go href="room?rm='.$rm.'&amp;delete_all&amp;'.SID.'"/></do>';

echo '<br />';
}else{
if ($rooms['intim']!=1)echo '[<a href="who_room?rm='.$rm.'" accesskey="'.$bs[2].'">Кто в комнате?['.$bs[2].']</a>]';
echo '[<a href="who?rm='.$rm.'" accesskey="'.$bs[3].'">Кто где?['.$bs[3].']</a>][<a href="smiles/index?rm='.$rm.'" accesskey="'.$bs[4].'">Смайлы['.$bs[4].']</a>]';
if ($user['level']>=4&&$rooms['intim']!=1)echo '[<a href="topic?rm='.$rm.'" accesskey="'.$bs[5].'">Сменить Топик['.$bs[5].']</a>]<br />';
if ($user['level']>=7)echo '[<a href="room?rm='.$rm.'&amp;delete_all">Очистить комнату</a>]<br />';
}
}
if ($rooms['intim']==1)echo gbinroom.'<a href="enter?intim">Выйти</a>'.div;
echo gbinroom.'<a href="enter" accesskey="'.$bs[7].'">Прихожая ['.$bs[7].']</a>'.div;


foot();
?>